Uploaded image for project: 'Isis'
  1. Isis
  2. ISIS-913

Remove the "ViewerInstaller" and "EmbeddedWebServerInstaller" APIs, since in effect defunct.

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: core-1.6.0
    • Fix Version/s: core-1.7.0
    • Component/s: Core
    • Labels:
      None

      Description

      These used to make sense with client-side viewers (eg the DnD viewer); but these days all the viewers are client-side, so run up the app either using the org.apache.isis.WebServer or just mvn jetty:run or by deploying to Tomcat etc.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              danhaywood Dan Haywood
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: